Subject: Re: bug#30058: Fw: centos6.5 problems

From: Bernhard Voelker <[email-masked]>
Date: Fri, 12 Jan 2018 00:13:33 +0100

tag 30058 notabug
close 30058
stop

On 01/10/2018 05:22 AM, [email-masked] wrote:
> #!/bin/bash
> cd /var/log
> #rm -rf 1.txt
> time=`date |awk {'print $2,"",$3'}`
> #time=`date |awk {'print $2,$3'}`
> cat /dev/null > 1.txt
> cat secure | grep Fail | grep "$time" > 1.txt
> cat 1.txt | mail -s "47.104.13.1" [email-masked]
> 
> the command "date | awk {"print $2,$3"} "
> when the date from 1 to 9   the script was write
> when the date from 10 to 31  the problem was show
> 
> the problem is the space
> so wo try to add a space in my shell script
> 
> is this a bug ?

Thanks for the report, however I feel that this question is more
about shell scripting in general rather than about an issue in a
particular GNU coreutils program.

I do not have a CentOS system here, and I don't know the format
being used in your /var/log/secure file.  You didn't provide any
input or output data, so it's hard to guess what happened.

Well, you reached the GNU coreutils mailing list, and the tools
involved in the scripts above are 'date' and 'cat', but there's
no proof what you think went wrong (the actual output) or what
you expected as output.

Thus, I'm closing this issue as 'notabug' in our bug tracker; of course,
you may continue the discussion, and we may reopen the issue if needed.

Have a nice day,
Berny